Package ghidra.framework.main.projectdata.actions

# Class ProjectDataRenameAction

java.lang.Object
docking.action.DockingAction
docking.action.ContextSpecificAction<ProjectDataContext>
ghidra.framework.main.datatable.FrontendProjectTreeAction
ghidra.framework.main.projectdata.actions.ProjectDataRenameAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class ProjectDataRenameAction extends FrontendProjectTreeAction

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectDataRenameAction(String owner, String group)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `actionPerformed(ProjectDataContext context)`
  The actionPerformed method with a more specific ActionContext.
  `protected boolean`
  `isEnabledForContext(ProjectDataContext context)`

  ### Methods inherited from class docking.action.ContextSpecificAction

  `actionPerformed, isAddToPopup, isAddToPopup, isEnabledForContext, isValidContext, isValidContext`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDefaultKeyBindingData, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### ProjectDataRenameAction

    public ProjectDataRenameAction(String owner, String group)

- ## Method Details

  - ### actionPerformed

    protected void actionPerformed(ProjectDataContext context)
    Description copied from class: `ContextSpecificAction`
    The actionPerformed method with a more specific ActionContext. See `DockingAction.actionPerformed(ActionContext)`
    Specified by:
      `actionPerformed` in class `ContextSpecificAction<ProjectDataContext>`
    Parameters:
      `context` - the more specific `ActionContext`

  - ### isEnabledForContext

    protected boolean isEnabledForContext(ProjectDataContext context)
    Overrides:
      `isEnabledForContext` in class `FrontendProjectTreeAction`